<?php
namespace App\Factory;

use Doctrine\DBAL\Connection;

class Consumer {
    private $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

	public function getConsumersByPhone($NRTELEFONE) 
	{
		$sql = "
			SELECT CO.CDCLIENTE, CO.CDCONSUMIDOR,
			       CO.NMCONSUMIDOR, CO.NRCPFRESPCON,
			       CO.CDTIPOCONS, CO.NRRGCONSUMID,
			       CO.DSEMAILCONS, CO.DTNASCCONS,
			       CO.NRCEPCONS, CO.DSEXIBENDE,
			       'PRINCIPAL' AS CDENDECONS, CO.CDPAIS,
			       CO.DSENDECONS, CO.NRENDECONS,
			       CO.DSCOMPLENDECONS, CO.NRTELECONS,
			       CO.NRCELULARCONS, CO.DSREFERENDECONS,
		 		   CO.NRLATCONS, CO.NRLONGCONS, CO.NMBAIRCONS AS NMBAIRRO,
	               CO.SGESTADO, CO.DSINFOCONS
	
	          FROM CONSUMIDOR CO
	            
	         WHERE (CO.NRTELECONS		= :NRTELECONS
	                OR CO.NRTELE2CONS	= :NRCELULARCONS
	                OR CO.NRCELULARCONS = :NRCELULARCONS)
		";

		$stmt = $this->connection->prepare($sql);
		
		$stmt->bindValue("NRTELECONS", $NRTELEFONE);
		$stmt->bindValue("NRCELULARCONS", $NRTELEFONE);
		$stmt->bindValue("NRCELULARCONS", $NRTELEFONE);

		$result = $stmt->executeQuery();
    	return $result->fetchAllAssociative();
	}

	public function getConsumerAddresses($CDCLIENTE, $CDCONSUMIDOR)
	{
		
		$sql = "
			SELECT CDENDECONS, NOMEENDE, NRCEPCONS, DSENDECONS, NRENDECONS, DSCOMPLENDECONS, 
				   DSREFERENDECONS, NRLATCONS, NRLONGCONS, NMBAIRRO
				FROM ( ( SELECT E.CDENDECONS, E.NOMEENDE, E.NRCEPCONS, E.DSENDECONS, E.NRENDECONS, 
						 E.DSCOMPLENDECONS, E.DSREFERENDECONS, E.NRLATENDE AS NRLATCONS, 
						 E.NRLONGENDE AS NRLONGCONS, E.NMBAIRCONS AS NMBAIRRO
				FROM ENDERECOCONS E 
				WHERE E.CDCLIENTE = :CDCLIENTE AND E.CDCONSUMIDOR = :CDCONSUMIDOR ) 
				UNION ( SELECT 'PRINCIPAL' as CDENDECONS, CO.DSEXIBENDE as NOMEENDE, 
					CO.NRCEPCONS, CO.DSENDECONS, CO.NRENDECONS, CO.DSCOMPLENDECONS, CO.DSREFERENDECONS, 
					CO.NRLATCONS, CO.NRLONGCONS, CO.NMBAIRCONS AS NMBAIRRO
				FROM CONSUMIDOR CO 
				WHERE CO.CDCLIENTE = :CDCLIENTE AND CO.CDCONSUMIDOR = :CDCONSUMIDOR ) )
		";

		$stmt = $this->connection->prepare($sql);
		
		$stmt->bindValue("CDCLIENTE", $CDCLIENTE);
		$stmt->bindValue("CDCONSUMIDOR", $CDCONSUMIDOR);

		$result = $stmt->executeQuery();
		
    	return $result->fetchAllAssociative();
	}
}