import { Prop, Component } from 'vue-property-decorator';
import { ZdComponent } from '@zeedhi/vuetify';
import { Menu as MenuClass } from './common/Menu';

type MenuItem = {
  href: string,
  name: string,
  label: string,
  icon: string,
  submenu: (MenuItem & {
    isHeader: boolean,
  })[]
};

/**
 * DocTable component
 */
@Component
export default class Menu extends ZdComponent {
  @Prop({ type: String, default: '' }) public to!: string;

  @Prop({ type: String, default: '' }) public src!: string;

  public instance!: MenuClass;

  public instanceType: typeof MenuClass = MenuClass;

  getClass(menu: MenuItem) {
    if (menu.href === window.location.pathname) {
      return 'menu-active';
    }
  }

  getMenuItems() {
    return [
      {
        name: 'dashboard',
        label: 'Início',
        icon: 'mdi-home',
        href: '/',
      },
    ] as MenuItem[];
  }
}
